package com.xhpc.card.mapper;

import com.xhpc.card.domain.queryClientUsersCondition;
import com.xhpc.card.pojo.TIccardClientUsers;

import java.util.List;

public interface TIccardClientUsersMapper {

    int deleteByPrimaryKey(Integer usersid);

    int insert(TIccardClientUsers record);

    int insertSelective(TIccardClientUsers record);

    TIccardClientUsers selectByPrimaryKey(Integer usersid);

    int updateByPrimaryKeySelective(TIccardClientUsers record);

    int updateByPrimaryKey(TIccardClientUsers record);

    /**
     * query users by query condition
     *
     * @author WH
     * @date 2022/2/24 18:11
     * @since version-1.0
     */
    List<TIccardClientUsers> selectByCondition(queryClientUsersCondition queryCondition);

}